import java.io.File;

import transformerProcessor.TransformerProcessor;
import transformerProcessor.exceptions.InvalidLayerRequirement;
import transformerProcessor.exceptions.TransformationLayerException;
import transformerProcessor.exceptions.TransformationSourceException;


public class Main {

	private static final String PROJECT_DIR = "/Users/levilucio/code/GenealogyTree";
	private static final String TRANS = "/Users/levilucio/code/GenealogyTree/GenerateCouples.dsltrans";

	public static void main(String[] args) {
		File transformation = new File(TRANS);
		
		TransformerProcessor tP = new TransformerProcessor(PROJECT_DIR);
		tP.LoadModel(transformation.getAbsolutePath());
		
		try {
			tP.Execute();
		} catch (InvalidLayerRequirement e) {
			System.err.println("Error running transformation: " + transformation.getAbsolutePath());
			e.printStackTrace();
		} catch (TransformationSourceException e) {
			System.err.println("Error running transformation: " + transformation.getAbsolutePath());
			e.printStackTrace();
		} catch (TransformationLayerException e) {
			System.err.println("Error running transformation: " + transformation.getAbsolutePath());
			e.printStackTrace();
		}
	}


}
